
Redmine - Feature #6497

Request for a view_projects_index_contextual hook

2010-09-26 19:56 - Jan from Planio www.plan.io

Status: Closed Start date: 2010-09-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Patch is attached. Would be great for global plugin features/views which are not important enough to be added to top_menu, yet

need a place somewhere that is not project-specific.

Related issues:

Related to Redmine - Patch #11492: Added :view_projects_index_activity_menu hook Closed

Related to Redmine - Feature #26385: Add a non-hook based API for adding/remo... New

History

#1 - 2010-10-01 04:01 - Eric Davis

- Target version set to Unplanned backlogs

Patch looks ok but I'm been thinking about how some of Redmine's contextual menus are done.  Because once this hook is in there, someone else

will want to add to the start of the list and someone else will want to add in the middle of the list, etc...

#2 - 2010-10-25 16:58 - Eric Davis

- Assignee deleted (Eric Davis)

#3 - 2011-01-15 00:33 - Jean-Philippe Lang

We'd better have a non-hook based API for adding items to contextual menus, much like the main menu.

#4 - 2014-09-08 13:18 - Jan from Planio www.plan.io

- Status changed from New to Closed

- Resolution set to Wont fix

Then, let's close it.

#5 - 2014-09-09 06:27 - Jean-Baptiste Barth

An other option is to use deface to hook into views rendering, I do it in most of my plugins and it works well as long as css selectors are stable, which

is the case in general.

#6 - 2015-11-05 08:25 - Ebrahim Mohammadi

Shouldn't "target version" of this issue be removed?

#7 - 2015-12-03 11:34 - Toshi MARUYAMA

- Target version deleted (Unplanned backlogs)

Ebrahim Mohammadi wrote:

Shouldn't "target version" of this issue be removed?

 Thank you for pointing out.

#8 - 2017-07-08 02:42 - Mischa The Evil

- Related to Patch #11492: Added :view_projects_index_activity_menu hook added
https://github.com/spree/deface


#9 - 2017-07-08 02:45 - Mischa The Evil

- Related to Feature #26385: Add a non-hook based API for adding/removing items to/from contextual menus (like the main menu) added
